Error Installing

Post Reply
dev@stone-tech.co.uk
Posts: 1
Joined: 03 Sep 2022, 21:22

03 Sep 2022, 21:51

Hi,

Could you help please, I get the following error trying to run...

> primevue-designer@3.8.0 serve
> vue-cli-service serve

INFO Starting development server...
10% building 2/5 modules 3 active ...rimeVue\node_modules\eslint-loader\index.js??ref--14-0!C:\Dev\PrimeVue\src\main.jsError: error:0308010C:digital envelope routines::unsupported
at new Hash (node:internal/crypto/hash:67:19)
at Object.createHash (node:crypto:135:10)
at module.exports (C:\Dev\PrimeVue\node_modules\webpack\lib\util\createHash.js:135:53)
at NormalModule._initBuildHash (C:\Dev\PrimeVue\node_modules\webpack\lib\NormalModule.js:417:16)
at handleParseError (C:\Dev\PrimeVue\node_modules\webpack\lib\NormalModule.js:471:10)
at C:\Dev\PrimeVue\node_modules\webpack\lib\NormalModule.js:503:5
at C:\Dev\PrimeVue\node_modules\webpack\lib\NormalModule.js:358:12
at C:\Dev\PrimeVue\node_modules\loader-runner\lib\LoaderRunner.js:373:3
at iterateNormalLoaders (C:\Dev\PrimeVue\node_modules\loader-runner\lib\LoaderRunner.js:214:10)
at iterateNormalLoaders (C:\Dev\PrimeVue\node_modules\loader-runner\lib\LoaderRunner.js:221:10)
at C:\Dev\PrimeVue\node_modules\loader-runner\lib\LoaderRunner.js:236:3
at runSyncOrAsync (C:\Dev\PrimeVue\node_modules\loader-runner\lib\LoaderRunner.js:130:11)
at iterateNormalLoaders (C:\Dev\PrimeVue\node_modules\loader-runner\lib\LoaderRunner.js:232:2)
at Array.<anonymous> (C:\Dev\PrimeVue\node_modules\loader-runner\lib\LoaderRunner.js:205:4)
at Storage.finished (C:\Dev\PrimeVue\node_modules\enhanced-resolve\lib\CachedInputFileSystem.js:55:16)
at C:\Dev\PrimeVue\node_modules\enhanced-resolve\lib\CachedInputFileSystem.js:91:9
node:internal/crypto/hash:67
this[kHandle] = new _Hash(algorithm, xofLen);
^

Error: error:0308010C:digital envelope routines::unsupported
at new Hash (node:internal/crypto/hash:67:19)
at Object.createHash (node:crypto:135:10)
at module.exports (C:\Dev\PrimeVue\node_modules\webpack\lib\util\createHash.js:135:53)
at NormalModule._initBuildHash (C:\Dev\PrimeVue\node_modules\webpack\lib\NormalModule.js:417:16)
at handleParseError (C:\Dev\PrimeVue\node_modules\webpack\lib\NormalModule.js:471:10)
at C:\Dev\PrimeVue\node_modules\webpack\lib\NormalModule.js:503:5
at C:\Dev\PrimeVue\node_modules\webpack\lib\NormalModule.js:358:12
at C:\Dev\PrimeVue\node_modules\loader-runner\lib\LoaderRunner.js:373:3
at iterateNormalLoaders (C:\Dev\PrimeVue\node_modules\loader-runner\lib\LoaderRunner.js:214:10)
at Array.<anonymous> (C:\Dev\PrimeVue\node_modules\loader-runner\lib\LoaderRunner.js:205:4)
at Storage.finished (C:\Dev\PrimeVue\node_modules\enhanced-resolve\lib\CachedInputFileSystem.js:55:16)
at C:\Dev\PrimeVue\node_modules\enhanced-resolve\lib\CachedInputFileSystem.js:91:9
at C:\Dev\PrimeVue\node_modules\graceful-fs\graceful-fs.js:123:16
at FSReqCallback.readFileAfterClose [as oncomplete] (node:internal/fs/read_file_context:68:3) {
opensslErrorStack: [ 'error:03000086:digital envelope routines::initialization error' ],
library: 'digital envelope routines',
reason: 'unsupported',
code: 'ERR_OSSL_EVP_UNSUPPORTED'
}

Node.js v17.9.1

tugce.kucukoglu
Posts: 476
Joined: 23 Oct 2020, 09:28

05 Sep 2022, 13:23

Hi,

Could you share your setup with us? How could we replicate the problem?

Monica_King7
Posts: 1
Joined: 22 Sep 2022, 23:00

22 Sep 2022, 23:40

You're probably using node 17, and running into this issue: https://github.com/webpack/webpack/issues/14532

What you need to do is use Node 16.

As a side node,
The whole Theme Designer needs to be upgraded, as it has multiple issues:
- Most of the dependencies are deprecated
- Relies on `vue-cli-service` which is maintenance mode -- It should really be using vite at this point.

I would update it myself, but its closed source. I kind of regret purchasing it.

tugce.kucukoglu
Posts: 476
Joined: 23 Oct 2020, 09:28

27 Sep 2022, 10:28

Currently, I am using Node v16.13.1. Still can not reproduce the problem.

Could you tell us your environment?

digital4you
Posts: 1
Joined: 31 Oct 2022, 18:06

31 Oct 2022, 19:19

I managed to update to current version (3.8) of the designer to running on Node 18 and using vite.

Where should I post the changes I made to assist you in upgrading the original package?

tugce.kucukoglu
Posts: 476
Joined: 23 Oct 2020, 09:28

02 Nov 2022, 08:08

Unfortunately, Designer-Vue is not an open-source project. If you tell us your environment we will fix it for the next version.

clienti
Posts: 4
Joined: 19 Dec 2022, 12:15

21 Dec 2022, 16:27

I have the same issue. I just bought the extended license, and is setting it up for the first time. I am running the LTS 18.12.1 og Node.js and v. 8.19.2 of npm. This is using v. 3.8 of Primevue Designer.

clienti
Posts: 4
Joined: 19 Dec 2022, 12:15

21 Dec 2022, 16:29

Dropping the node.exe file for v16.19.0 directly into the root of the Primevue Designer folder and then running npm run serve works for me. But still, this should be fixed asap.

tugce.kucukoglu
Posts: 476
Joined: 23 Oct 2020, 09:28

23 Dec 2022, 15:32

We're definitely working on it.

Post Reply

Return to “PrimeVue Theme Designer API”

  • Information
  • Who is online

    Users browsing this forum: No registered users and 1 guest